/* Project name:
     HID_Read_Write_Polling (USB HID Read & Write Test)
 * Copyright:
     (c) Mikroelektronika, 2016.
 * Revision History:
     20111223:
       - initial release;
 * Description:
     This example establishes connection with the HID terminal that is active
     on the PC. Upon connection establishment, the HID Device Name will appear
     in the respective window. The character that user sends to FRDMK64 from the HID
     terminal will be re-sent back to user.
 * Test configuration:
     MCU:             MK64FN1M0VLL12
                      http://cache.nxp.com/files/microcontrollers/doc/data_sheet/K64P144M120SF5.pdf?fpsp=1&WT_TYPE=Data%20Sheets&WT_VENDOR=FREESCALE&WT_FILE_FORMAT=pdf&WT_ASSET=Documentation&fileExt=.pdf
     Dev.board:       Clicker 2 for Kinetis
                      http://www.mikroe.com/kinetis/clicker-2/
     Oscillator:      PLL, 120.000MHz
     ext. modules:    None
     SW:              mikroC PRO for ARM
                      http://www.mikroe.com/mikroc/arm/
*/


char cnt;
char kk;
char readbuff[64];
char writebuff[64];

unsigned long int i = 0;
void main(void){
  MPU_CESR = 0;
  HID_Enable(&readbuff,&writebuff);

  while(1){
    USB_Polling_Proc();               // Call this routine periodically
    kk = HID_Read();
    if(kk != 0){
      for(cnt=0;cnt<64;cnt++)
        writebuff[cnt]=readbuff[cnt];
      HID_Write(&writebuff,64);
    }
  }
}